QXmpp: QXmppResultSetQuery Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppResultSetQuery Class Reference

The QXmppResultSetQuery class represents a set element in a query as defined by XEP-0059: Result Set Management. More...

`#include <QXmppResultSet.h>`

## Public Member Functions
int | max () const
void | setMax (int max)
int | index () const
void | setIndex (int index)
QString | before () const
void | setBefore (const QString &before)
QString | after () const
void | setAfter (const QString &after)
bool | isNull () const
| Returns true if no result set information is present.

## Detailed Description

The QXmppResultSetQuery class represents a set element in a query as defined by XEP-0059: Result Set Management.

## Member Function Documentation

## ◆ after()

QString QXmppResultSetQuery::after | ( |  | ) | const

Returns the UID of the last result in the previous page.

This is used for for paging forwards through results.

## ◆ before()

QString QXmppResultSetQuery::before | ( |  | ) | const

Returns the UID of the first result in the next page.

This is used for for paging backwards through results.

## ◆ index()

int QXmppResultSetQuery::index | ( |  | ) | const

Returns the index for the first element in the page.

This is used for retrieving pages out of order.

## ◆ max()

int QXmppResultSetQuery::max | ( |  | ) | const

Returns the maximum number of results.

Note
  -1 means no limit, 0 means no results are wanted.

## ◆ setAfter()

void QXmppResultSetQuery::setAfter | ( | const QString & | after | ) |

Sets the UID of the last result in the previous page.

This is used for for paging forwards through results.

## ◆ setBefore()

void QXmppResultSetQuery::setBefore | ( | const QString & | before | ) |

Sets the UID of the first result in the next page.

This is used for for paging backwards through results.

## ◆ setIndex()

void QXmppResultSetQuery::setIndex | ( | int | index | ) |

Sets the index for the first element in the page.

This is used for retrieving pages out of order.

## ◆ setMax()

void QXmppResultSetQuery::setMax | ( | int | max | ) |

Sets the maximum number of results.

Note
  -1 means no limit, 0 means no results are wanted.

The documentation for this class was generated from the following files:

- QXmppResultSet.h
- QXmppResultSet.cpp